# class DOT::DOTPort

This is used when we build nodes that have shape=record ports don’t have options :)

### Attributes

label[RW]

### Public Class Methods

new(params = {}) click to toggle source
Calls superclass method DOT::DOTSimpleElement.new

    # File lib/puppet/external/dot.rb, line 171
    def initialize (params = {})
      super(params)
      @name = params['label'] ? params['label'] : ''
    end

### Public Instance Methods

to_s() click to toggle source

    # File lib/puppet/external/dot.rb, line 176
    def to_s
      ( @name && @name != "" ? "<#{@name}>" : "" ) + "#{@label}"
    end